Content Manager Enterprise Studio 25.1 Enterprise Studio

# Settings tab

You can display the Workgroup Server Settings tab by right-clicking the Workgroup Server and selecting Properties. It contains Workgroup Server settings that you may need to change when troubleshooting issues with the Workgroup Server.

NOTE: You should only change these settings when instructed to do so by Content Manager support.

- Minimum threads serving clients
  - Default: 5
  - Maximum: 500
  - Minimum: 1
- Maximum threads serving clients
  - Default: 250
  - Maximum: 500
  - Minimum: See previous option
- Thread idle time (seconds) - time a client-serving thread can be idle before being terminated
  - Default: 60 (i.e. 1 minute)
  - Maximum: 600 = (i.e. 10 minutes)
  - Minimum: 1

NOTE: These three options affect the way Content Manager maintains a thread pool for serving requests from clients. This thread pool has a minimum and a maximum number of threads, and grows and shrinks dynamically according to the number of clients being served. When the pool reaches the maximum number of threads, it only serves subsequent client requests when a thread becomes available from serving a previous request.

When there are more threads in the thread pool than the minimum number, the Workgroup Server terminates them if they are not serving a client within the time limit set in Thread idle time.

- Ping interval (seconds) - interval at which the server pings the client, during a call.
  While a server is processing a request from the client, it regularly pings the client to inform it that the request is still in progress. When the client notices during a request that it is no longer receiving pingbacks, it closes the connection and re-sends the request.
  - Default: 5
  - Maximum: 60 (i.e. 1 minute)
  - Minimum: 5
- Client Message Size (bytes) - size of individual messages sent from client to server.
  The Workgroup Server reads individual requests from the clients into memory, in a single portion. To avoid potentially unlimited memory consumption, there is a limit on the size of the message clients can send to the server.
  - Default: 1200000
  - Maximum: Unlimited
  - Minimum: 1200000
- Maximum TCP connections - indicates maximum number of simultaneously connected TCP connections that the Workgroup Server allows.

- NOTE: A single Content Manager client generally has two TCP connections with the server - one to send requests and receive responses on, and one to receive server notifications on.

  As only a few of the total number of connections actually will have a call in progress at any time, the number of threads in the thread pool can be much lower than the number of connections.

  - Default: 4000
  - Maximum: Unlimited
  - Minimum: 20
- TCP connection idle time (seconds) - time a client TCP connection can be idle before being terminated by the server. To help save server resources, the Workgroup Server closes network connections that have been idle for a certain period. This is generally transparent to a Content Manager client, as it notices the dead connection on its next attempt to send a request. The client then reconnects automatically.
  - Default: 1200 (i.e. 20 minutes)
  - Maximum: 3600 (i.e. 60 minutes)
  - Minimum: 30 (i.e. 30 seconds)
- TCP connection scan interval (seconds) - interval at which the server scans for idle client TCP connections.
  To be able to close network connections that have been idle to save server resources, the Workgroup Server scans all its network connections at the time interval set here, and closes the connections that have not executed any requests within the time interval set in the previous option TCP connection idle time.
  - Default: 300 (i.e. 5 minutes)
  - Maximum: 3600 (i.e. 60 minutes)
  - Minimum: 30 (i.e. 30 seconds)
- User session timeout interval (seconds) - time the Workgroup Server maintains a user session while there are no active network connections to it
  - Default: 600 (i.e. 10 minutes)
  - Maximum: 3600 (i.e. 60 minutes)
  - Minimum: 30 (i.e. 30 seconds)
- User session harvesting interval (seconds) - interval at which the Workgroup Server scans for timed out user sessions
  - Default: 60 (i.e. 1 minute)
  - Maximum: 3600 (i.e. 60 minutes)
  - Minimum: 30 (i.e. 30 seconds)
- Use SQL parameterization for queries and updates, where possible - enabled by default. This option affects how the SQL is generally formatted before sending it to the RDBMS server.
- Use SQL parameterization for security and access filtering - enabled by default. This option allows the user to specify a different setting specifically for the security and access control filtering SQL.

  NOTE: This option is not relevant if the dataset has been upgraded to the schema to use the new SQL access control and security filtering function calls.

  NOTE: Turning on or off parameterization can sometimes make subtle changes to the way the SQL optimizer works and so can be useful in diagnosing performance problems with executing SQL commands. In general, both options should be turned on unless working with Support to resolve some performance issues. Parameterization is the accepted practice for ensuring SQL injection attacks do not affect SQL sent to the RDBMS. It should be noted that Content Manager is not prone to SQL injection attack because of the way queries are processed.

- Reset To Default - click this button to reset the options above back to their default settings.

Copyright 2008-2025 Open Text
Version 25.1 | Last updated October 2024
Contact

Send documentation feedback

Close

Send documentation feedback

To send feedback using your default email client, open an email window.

Otherwise, send your feedback and the information below to hprmdocumentation@microfocus.com.

We appreciate your feedback!

Product: Content Manager Enterprise Studio 25.1

Topic Title: Settings tab